package com.ruoyi.base.mapper;

import java.util.List;
import com.ruoyi.base.domain.RobotOpsFaq;
import com.ruoyi.base.domain.RobotOpsFaqSimilar;

/**
 * 问答库管理Mapper接口
 * 
 * @author ruoyi
 * @date 2026-05-07
 */
public interface RobotOpsFaqMapper 
{
    /**
     * 查询问答库管理
     * 
     * @param id 问答库管理主键
     * @return 问答库管理
     */
    public RobotOpsFaq selectRobotOpsFaqById(Long id);

    /**
     * 查询问答库管理列表
     * 
     * @param robotOpsFaq 问答库管理
     * @return 问答库管理集合
     */
    public List<RobotOpsFaq> selectRobotOpsFaqList(RobotOpsFaq robotOpsFaq);

    /**
     * 新增问答库管理
     * 
     * @param robotOpsFaq 问答库管理
     * @return 结果
     */
    public int insertRobotOpsFaq(RobotOpsFaq robotOpsFaq);

    /**
     * 修改问答库管理
     * 
     * @param robotOpsFaq 问答库管理
     * @return 结果
     */
    public int updateRobotOpsFaq(RobotOpsFaq robotOpsFaq);

    /**
     * 删除问答库管理
     * 
     * @param id 问答库管理主键
     * @return 结果
     */
    public int deleteRobotOpsFaqById(Long id);

    /**
     * 批量删除问答库管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRobotOpsFaqByIds(Long[] ids);

    /**
     * 批量删除问答相似问
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRobotOpsFaqSimilarByFaqIds(Long[] ids);
    
    /**
     * 批量新增问答相似问
     * 
     * @param robotOpsFaqSimilarList 问答相似问列表
     * @return 结果
     */
    public int batchRobotOpsFaqSimilar(List<RobotOpsFaqSimilar> robotOpsFaqSimilarList);
    

    /**
     * 通过问答库管理主键删除问答相似问信息
     * 
     * @param id 问答库管理ID
     * @return 结果
     */
    public int deleteRobotOpsFaqSimilarByFaqId(Long id);
}
